{# templates/login/index.html.twig #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/login.css') }}">
{% endblock %}

{% block body %}
    {% if error %}
        <div>{{ error.message }}</div>
        <!--<div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>-->
    {% endif %}

    <div class="container">
        <form action="{{ path('app_login') }}" method="post">
            <div class="form_row">
                <label for="username">Email : </label>
                <input type="text" id="username" name="_username" value="{{ last_username }}">
            </div>

            <div class="form_row">
                <label for="password">Mot de passe:</label>
                <input type="password" id="password" name="_password">
            </div>

            <div class="centered">
                <div>
                    <label>
                        <input type="checkbox" name="_remember_me" checked/>
                        Se souvenir de moi
                    </label>
                </div>

                <div>
                    <button class="btn_link" type="submit">Connexion</button>
                </div>


                <a href="{{ path('app_forgotten') }}">Mot de passe oublié</a>
            </div>
            <input type="hidden" name="_target_path" value="{{ url('app_sortie_index') }}">
            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
        </form>
    </div>
{% endblock %}